shishi_resolv(3)

NAME
shishi_resolv - API function

SYNOPSIS
#include <shishi.h>

Shishi_dns shishi_resolv(const char * zone, uint16_t querytype);

ARGUMENTS

const char * zone
    owner name of data, e.g. "EXAMPLE.ORG"

uint16_t querytype
    type of data to query for, e.g., SHISHI_DNS_TXT.

DESCRIPTION
Query DNS resolver for data of type querytype at owner name zone. Currently TXT and SRV types are supported.

RETURN VALUE
Returns linked list of DNS records, or NULL if query failed.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.